## org.apache.batik.dom.svg
Class SVGOMDocument.DOMNodeRemovedListenerWrapper

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMDocument.DOMNodeRemovedListenerWrapper

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVGOMDocument

    protected class SVGOMDocument.DOMNodeRemovedListenerWrapper

extends java.lang.Object
implements EventListener

DOM node removed listener wrapper.

Field Summary
`protected CSSNavigableDocumentListener` `listener` The CSSNavigableDocumentListener.

Constructor Summary
`SVGOMDocument.DOMNodeRemovedListenerWrapper(CSSNavigableDocumentListener l)` Creates a new DOMNodeRemovedListenerWrapper.

Method Summary
`void` `handleEvent(Event evt)` Handles the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected CSSNavigableDocumentListener listener

  The CSSNavigableDocumentListener.

Constructor Detail

### SVGOMDocument.DOMNodeRemovedListenerWrapper

    public SVGOMDocument.DOMNodeRemovedListenerWrapper(CSSNavigableDocumentListener l)

  Creates a new DOMNodeRemovedListenerWrapper.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles the event.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.